BrightSpec

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.hardware.frontpanel
Interface BrightSpec

    public interface BrightSpec

This interface represents the front panel display brightness specification. If the Indicator supports just turn on/off, the brightness value `OFF` represents turn off and value 1 represents turn on, and a brightness level shall be 2. If the Indicator supports bright/dark/off brightness, the brightness value `OFF` represents turn off and value 1 represents dark and value 2 represents bright, and a brightness level shall be 3. The brightness level can be any levels corresponding to the Indicator's capability.

Field Summary
`static int` | `OFF` Brightness OFF setting that represents the Indicator is off.

Method Summary
`int` | `getBrightness()` Gets the current brightness of the Indicator.
`int` | `getBrightnessLevels()` Gets the number of brightness levels supported.
`void` | `setBrightness(int brightness)` Sets the brightness of the indicator.

Field Detail

### OFF

    static final int OFF

  Brightness OFF setting that represents the Indicator is off.

  See Also:
    Constant Field Values

Method Detail

### getBrightness

    int getBrightness()

  Gets the current brightness of the Indicator. Possible return values shall be an integer that meets:
  `OFF` =< brightness =< getBrightnessLevels()-1

  Returns:
    a current brightness value of Indicator.

### getBrightnessLevels

    int getBrightnessLevels()

  Gets the number of brightness levels supported. The minimum support brightness level SHALL be 2, i.e., two levels that includes `OFF` and brightness=1 (on). This provides an on/off capability.

  Returns:
    Supported indicator brightness levels.

### setBrightness

    void setBrightness(int brightness)
                       throws IllegalArgumentException

  Sets the brightness of the indicator. Setting the brightness level to `OFF` turns the indicator off.

  Parameters:
    `brightness` - Indicator brightness.
  Throws:
    `IllegalArgumentException` - if the brightness value is not an integer that meets:
    `OFF` =< brightness =< getBrightnessLevels()-1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD